package lcsb.mapviewer.services.search.data;

import static org.junit.Assert.assertNotNull;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import lcsb.mapviewer.model.map.model.ModelFullIndexed;
import lcsb.mapviewer.model.map.species.Element;
import lcsb.mapviewer.model.map.species.GenericProtein;

public class LightAliasViewFactoryTest {
	Logger								logger								= Logger.getLogger(LightAliasViewFactoryTest.class);

	LightAliasViewFactory	lightAliasViewFactory	= new LightAliasViewFactory();

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testCreateGson() throws Exception {
		try {
			Element alias = new GenericProtein("id");
			alias.setModel(new ModelFullIndexed(null));
			LightAliasView object = lightAliasViewFactory.create(alias);
			String gson = lightAliasViewFactory.createGson(object);
			assertNotNull(gson);

		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

}
