package lcsb.mapviewer.services.search.db;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import lcsb.mapviewer.services.search.db.chemical.ChemicalServiceTest;
import lcsb.mapviewer.services.search.db.drug.AllSearchDrugTests;
import lcsb.mapviewer.services.search.db.mirna.MiRNAServiceTest;

@RunWith(Suite.class)
@SuiteClasses({ AllSearchDrugTests.class, //
		ChemicalServiceTest.class, //
		MiRNAServiceTest.class, //
})
public class AllSearchDbTests {

}
