package lcsb.mapviewer.services.search;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import lcsb.mapviewer.services.search.comment.AllCommentTests;
import lcsb.mapviewer.services.search.data.AllSearchDataTests;
import lcsb.mapviewer.services.search.db.AllSearchDbTests;
import lcsb.mapviewer.services.search.layout.AllSearchLayoutTests;

@RunWith(Suite.class)
@SuiteClasses({ AllCommentTests.class, //
		AllSearchDbTests.class, //
		AllSearchDataTests.class, //
		AllSearchLayoutTests.class, //
		ElementMatcherTest.class, //
})
public class AllSearchTests {

}
